Show / Hide Table of Contents

# Struct PlayerState

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct PlayerState

### Fields

| Improve this Doc View Source

#### Attributes

##### Declaration

    public int *Attributes

##### Field Value

Type | Description
--- | ---
System.Int32* |

| Improve this Doc View Source

#### BaseDexterity

##### Declaration

    public int BaseDexterity

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### BaseIntelligence

##### Declaration

    public int BaseIntelligence

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### BaseMind

##### Declaration

    public int BaseMind

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### BasePiety

##### Declaration

    public int BasePiety

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### BaseRestedExperience

##### Declaration

    public uint BaseRestedExperience

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### BaseStrength

##### Declaration

    public int BaseStrength

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### BaseVitality

##### Declaration

    public int BaseVitality

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CharacterName

##### Declaration

    public byte *CharacterName

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### ClassJobExpArray

##### Declaration

    public int *ClassJobExpArray

##### Field Value

Type | Description
--- | ---
System.Int32* |

| Improve this Doc View Source

#### ClassJobLevelArray

##### Declaration

    public short *ClassJobLevelArray

##### Field Value

Type | Description
--- | ---
System.Int16* |

| Improve this Doc View Source

#### ContentId

##### Declaration

    public ulong ContentId

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### CurrentClassJobId

##### Declaration

    public byte CurrentClassJobId

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### CurrentLevel

##### Declaration

    public short CurrentLevel

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### DesynthesisLevels

##### Declaration

    public ushort *DesynthesisLevels

##### Field Value

Type | Description
--- | ---
System.UInt16* |

| Improve this Doc View Source

#### FavouriteAetheryteArray

##### Declaration

    public byte *FavouriteAetheryteArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### FavouriteAetheryteCount

##### Declaration

    public byte FavouriteAetheryteCount

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### FreeAetheryteId

##### Declaration

    public byte FreeAetheryteId

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GCRankImmortalFlames

##### Declaration

    public byte GCRankImmortalFlames

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GCRankMaelstrom

##### Declaration

    public byte GCRankMaelstrom

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GCRankTwinAdders

##### Declaration

    public byte GCRankTwinAdders

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GrandCompany

##### Declaration

    public byte GrandCompany

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### HomeAetheryteId

##### Declaration

    public byte HomeAetheryteId

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsLevelSynced

##### Declaration

    public byte IsLevelSynced

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsLoaded

##### Declaration

    public byte IsLoaded

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ObjectId

##### Declaration

    public uint ObjectId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### PlayerCommendations

##### Declaration

    public short PlayerCommendations

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### SyncedLevel

##### Declaration

    public short SyncedLevel

##### Field Value

Type | Description
--- | ---
System.Int16 |

### Methods

| Improve this Doc View Source

#### GetDesynthesisLevel(UInt32)

##### Declaration

    public float GetDesynthesisLevel(uint classJobId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | classJobId |

##### Returns

Type | Description
--- | ---
System.Single |